## org.eclipse.emf.query.conditions.strings
Class StringCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.DataTypeCondition<String>
              org.eclipse.emf.query.conditions.strings.StringCondition

Direct Known Subclasses:
  StringLength, StringValue

    public abstract class StringCondition

extends DataTypeCondition<String>

An abstract `Condition` object that tests for `String`related values. The arguments being evaluated are adapted to a `String`first using a `StringAdapter` and then subjected to evaluation````

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.DataTypeCondition
`adapter, value`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`protected` `StringCondition(StringAdapter adapter)` Constructs this `StringCondition` with a `StringAdapter` adapter to adapt argument objects to `String`objects in order to do the evaluation``
`protected` `StringCondition(String value, IDataTypeAdapter<String> adapter)` Constructs this `StringCondition` with a `StringAdapter` adapter to adapt argument objects to `String`objects in order to do the evaluation, and a string to test inputs against.``

Method Summary
`boolean` `isSatisfied(Object object)` This operation is the evaluation operation of this `Condition` in regard to the argument Object.
`abstract boolean` `isSatisfied(String str)` An abstract method that answers whether the argument string satisfies this `StringCondition`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringCondition

    protected StringCondition(StringAdapter adapter)

  Constructs this `StringCondition` with a `StringAdapter` adapter to adapt argument objects to `String`objects in order to do the evaluation

  Parameters:
    `adapter` - The `StringAdapter` to use to extract a `String`representation of the argument object when evaluating it.``
  ``

### StringCondition

    protected StringCondition(String value,
                              IDataTypeAdapter<String> adapter)

  Constructs this `StringCondition` with a `StringAdapter` adapter to adapt argument objects to `String`objects in order to do the evaluation, and a string to test inputs against.

  Parameters:
    `value` - the value against which to test inputs
    `adapter` - a generic string adapter to use to extract a `String`representation of the argument object when evaluating it.``
  Since:
    1.2
  ``

Method Detail

### isSatisfied

    public boolean isSatisfied(Object object)

  Description copied from class: `Condition`
  This operation is the evaluation operation of this `Condition` in regard to the argument Object. In other words, the operation answers whether the argument Object satisfied this `Condition` or not.

  Overrides:
    `isSatisfied` in class `DataTypeCondition<String>`
  Parameters:
    `object` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.

### isSatisfied

    public abstract boolean isSatisfied(String str)

  An abstract method that answers whether the argument string satisfies this `StringCondition`

  Parameters:
    `str` - The `String`to evaluate``
  Returns:
    boolean `true` if the argument string satisfies this `StringCondition`, `false` otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.